@import "~sass/media";
@import "~sass/variables";
.signin-bg {
    background-color: $teritary;
    padding: 2vh;
    width: 80%;
    height: 100%;
    margin: 20px auto;
    border-radius: 0.5vh;
    //border: 1px solid #d0cfcf;
    font-size: 13px;
    //-webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    //box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    //-webkit-transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
    //transition: all 0.5s cubic-bezier(.25, .8, .25, 1);

}
@include for-size(desktop-up) {
    .signin-bg {
    margin: 20vh auto 5vh;
    }
}
.signin-bg .mat-form-field {
    display: block;
    font-size: 1rem;
    line-height: 1.5;
}

.signin-bg button.mat-primary {
    margin-top: 1vh;
    height: 100%;
    margin-bottom: 3vh;
}
.signin-right {
    width: 70%;
    display: inline-block;
    text-align: center;
}

.fa-icon {
    padding-right: 1vw;
    font-size: 1.4rem;
}

.btn-facebook {
    background-color: #3a67c4;
    color: white;
    width: 100%;
    line-height: 2.5;
}

.btn-google {
    background-color: #f62b00;
    color: white;
    width: 100%;
    line-height: 2.5;
}

.forgot-txt {
    font-size: 0.9rem;
}

.signin-txt {
    font-size: 0.95rem;
    margin-top: 2vh;
}

.divider-cont {
    position: relative;
    .divider {
        position: absolute;
        left: 16px;
    }
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  .divider-cont {
    .divider {
    top :5%;
    }
  }
}
.divider-cont .divider {
    border-left: 1px solid #dadada;
    height: 100%;
}

.signin-bg .divider-txt {
    position: absolute;
    background-color: #fff;
    top: 55%;
    z-index: 1;
    padding: 7px;
    margin: -28px 0 0 -16px;
}

.signin-bg a {
    cursor: pointer;
    color: $link !important;
}
.signin-respons{
  margin-top:15%;
}

@include for-size(phone-only) {
    .signin-right {
        width: 100%;
        margin-top: 2vh;
        display: none;
    }
    .signin-bg {
        width: 100%;
    }
    .divider-cont .divider {
        display: none;
    }
    .signin-bg .divider-txt {
        display: none;
    }
}

@include for-size(tablet-portrait-up){
    .signin-bg {
        width: 94%;
    }
    .rc-anchor-normal {
        width: 270px;
    }
    .rc-anchor-normal .rc-anchor-content {
        width: 170px;
    }
    .rc-anchor-normal .rc-anchor-checkbox-label {
        width: 110px;
    }
    .rc-anchor-normal-footer {
        width: 97px;
    }
    .rc-anchor-logo-portrait {
        width: 58px;
    }
    .rc-anchor-logo-img-portrait {
        width: 35px;
    }
    .rc-anchor-normal .rc-anchor-pt {
        right: 35px;
    }
}
@media (min-width: 600px) and (max-width: 767px) {
    .divider{
        display:none;
    }
}
@include for-size(tablet-landscape-up){
    .signin-bg {
        width: 94%;
    }
    .rc-anchor-normal {
        width: 270px;
    }
    .rc-anchor-normal .rc-anchor-content {
        width: 170px;
    }
    .rc-anchor-normal .rc-anchor-checkbox-label {
        width: 110px;
    }
    .rc-anchor-normal-footer {
        width: 97px;
    }
    .rc-anchor-logo-portrait {
        width: 58px;
    }
    .rc-anchor-logo-img-portrait {
        width: 35px;
    }
    .rc-anchor-normal .rc-anchor-pt {
        right: 35px;
    }
    
}
